org.apache.nutch.crawl

## Class GeneratorJob.SelectorEntry

- java.lang.Object
- - org.apache.nutch.crawl.GeneratorJob.SelectorEntry

- All Implemented Interfaces:
    Comparable<GeneratorJob.SelectorEntry>, Writable, WritableComparable<GeneratorJob.SelectorEntry>
  Enclosing class:
    GeneratorJob

      public static class GeneratorJob.SelectorEntry
      extends Object
      implements WritableComparable<GeneratorJob.SelectorEntry>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorJob.SelectorEntry()`
    `GeneratorJob.SelectorEntry(String url, float score)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(GeneratorJob.SelectorEntry se)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `void` | `readFields(DataInput in)`
    `void` | `set(String url, float score)` Sets url with score on this writable.
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorJob.SelectorEntry

          public GeneratorJob.SelectorEntry()

    - #### GeneratorJob.SelectorEntry

          public GeneratorJob.SelectorEntry(String url,
                                    float score)

  - ### Method Detail

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### compareTo

          public int compareTo(GeneratorJob.SelectorEntry se)

      Specified by:
        `compareTo` in interface `Comparable<GeneratorJob.SelectorEntry>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### set

          public void set(String url,
                 float score)

      Sets url with score on this writable. Allows for writable reusing.
      Parameters:
        `url` -
        `score` -

Copyright © 2015 The Apache Software Foundation